:lang(en) {
  font-family: "Lato", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    "Helvetica Neue", Arial, sans-serif !important;
}

:lang(vi) {
  font-family: Georgia, "Times New Roman", Times, serif;
}

.fixed-top {
  position: sticky;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1030;
}

.gradient-background {
  background: linear-gradient(rgb(242, 179, 57) 10%, rgb(237, 124, 19) 100%);
  min-height: 20vh;
}

.hero-image {
  border-radius: 15px;
  box-shadow: 8px 12px 15px rgb(242, 179, 57);
}

.fade-in-right {
  opacity: 0;
  transform: translateX(50px);
  animation: fadeInRight 1.2s ease-out 0.5s forwards;
}

@keyframes fadeInRight {
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.logo {
  mix-blend-mode: multiply;
}

.custom-sticky-header {
  position: sticky;
  top: 0;
  padding: 10px 16px;
  background: white;
  color: #f1f1f1;
  z-index: 13;
}

@keyframes appear {
  from {
    opacity: 0;
    clip-path: inset(100% 100% 0 0);
  }
  to {
    opacity: 1;
    clip-path: inset(0 0 0 0);
  }
}

.custom-block-animation {
  animation: appear linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

#address {
  background-color: #f1f1f1;
  padding: 3rem;
  text-align: center;
}

#address > iframe {
  width: 98%;
  height: 400px;
  border: 0;
  display: block;
  margin: 0 auto;
}

.language-switch {
  position: relative;
  display: inline-block;
  width: 80px;
  height: 36px;
}

.language-checkbox {
  display: none;
}

.language-label {
  display: block;
  background: #ccc;
  border-radius: 36px;
  position: relative;
  cursor: pointer;
  user-select: none;
  height: 100%;
}

.language-label .lang-en,
.language-label .lang-vi {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-weight: bold;
  color: white;
  width: 50%;
  text-align: center;
  pointer-events: none;
}

.language-label .lang-en {
  left: 0;
}

.language-label .lang-vi {
  right: 0;
}

.switch-ball {
  position: absolute;
  top: 2px;
  left: 2px;
  width: 32px;
  height: 32px;
  background: white;
  border-radius: 50%;
  transition: 0.3s;
}

.language-checkbox:checked + .language-label .switch-ball {
  transform: translateX(44px);
}

.language-checkbox:checked + .language-label {
  background: #212529bf;
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
}

/* Responsive layout - makes a two column-layout instead of four columns */
@media (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}